﻿@model CompanyStockView
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

@using (Html.BeginForm("ConfirmAction", "Companies", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formcompanystock" }))
{
    @*<form class="form-horizontal row-border">*@
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Companies.CD</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.SN</label>
                <div class="col-md-4">
                    @Html.LabelForModel(Model.CompanyConn.Server, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-1 control-label">@Companies.DBName</label>
                <div class="col-md-4">
                    @Html.LabelForModel(Model.CompanyConn.CompanyDB, new { @class = "form-control" })
                </div>
            </div>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@Companies.SS</h3>
        </div>
        <div class="panel-body">

            <div class="col-md-6">
                <div class="panel panel-default">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">@Companies.Settings</h3>
                    </div>
                    <div class="panel-body">
                       
                        <div class="form-horizontal row-border">
                            <div class="form-group">
                                <div class="col-lg-2">
                                    @Html.CheckBoxFor(c => c.ValidateStock) <label class="control-label">@Companies.US </label>
                                </div>
                            </div>
                            <div class="clear1"></div>

                            <div class="divider"></div>

                                <div class="form-group">
                                    <div class="col-lg-12">
                                        <label class="control-label">Formula</label>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-lg-12">
                                        <table>
                                            <tr>
                                                <td>
                                                    <select id="cbFormula" class="form-control-static">
                                                        <option value="A">A</option>
                                                        <option value="B">B</option>
                                                        <option value="C">C</option>
                                                    </select>
                                                </td>
                                                <td>
                                                    &nbsp;&nbsp;&nbsp;
                                                </td>
                                                <td>
                                                    <a id="AddFormula" class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-plus"></span>&nbsp;@Companies.Add
                                                    </a>
                                                    <a id="AddMas" class="btn btn-primary btn-xs">
                                                        <span>+</span>
                                                    </a>
                                                    <a id="AddMenos" class="btn btn-primary btn-xs">
                                                        <span>-</span>
                                                    </a>
                                                    <a id="AddPor" add+"" class="btn btn-primary btn-xs">
                                                        <span>*</span>
                                                    </a>
                                                    <a id="AddDividido" class="btn btn-primary btn-xs">
                                                        <span>/</span>
                                                    </a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-lg-5">
                                        @*<input name="regular" disabled class="form-control" type="text" value="">*@

                                        <table>
                                            <tr>
                                                <td style="width:180px;">
                                                    @Html.TextBoxFor(c => c.Formula, new { @class = "form-control", @disabled = "disabled" })
                                                </td>
                                                <td>
                                                    &nbsp;&nbsp;&nbsp;
                                                </td>
                                                <td>
                                                    <a id="Clear" class="btn btn-primary btn-xs">
                                                        <span>@Companies.Clear</span>
                                                    </a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                    </div>
                    <div class="clear2"></div>
                    <div class="divider"></div>
                    <div class="clear2"></div>
                    <div class="panel-body">
                        <div class="form-horizontal row-border">
                            <div class="col-lg-3">
                                <label class="">A = @Companies.Ordered</label>
                            </div>
                            <div class="col-lg-3">
                                <label class="">B = @Companies.IS</label>
                            </div>
                            <div class="col-lg-3">
                                <label class="">C = @Companies.Commited</label>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
                <div class="col-md-6">

                    <div class="panel panel-default">
                        <div class="panel-heading clearfix">
                            <h3 class="panel-title">@Companies.Warehouses</h3>
                        </div>
                        <div class="panel-body">
                            <div class="form-horizontal row-border">
                                <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                                    <div id="TableItemsForm">
                                        @Html.Partial("_WarehouseTable", Tuple.Create(Model.WarehouseList, Model.WarehousePortalList))
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="submit" class="btn btn-lg btn-success pull-right">Ok</button> 
            @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default pull-right" })
        </div>
    </div>

    @Html.HiddenFor(c => c.IdCompany)
    @Html.HiddenFor(c => c.IdCompanyStock)

    @*</form>*@
}

@Scripts.Render("~/bundles/CompaniesStock")










